org.eclnt.workplace

## Class WorkpageTypeInfoPage

- java.lang.Object
- - org.eclnt.workplace.WorkpageTypeInfoPage

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkpageTypeInfoPage
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkpageTypeInfoPage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()`
    `java.lang.String` | `getImage()`
    `java.lang.String` | `getJspPage()`
    `java.util.List<WorkpageTypeInfoParameterType>` | `getParameterTypes()`
    `java.lang.String` | `getText()`
    `boolean` | `isDecorated()`
    `boolean` | `isOpenMultipleInstances()`
    `void` | `setDecorated(boolean decorated)`
    `void` | `setId(java.lang.String id)`
    `void` | `setImage(java.lang.String image)`
    `void` | `setJspPage(java.lang.String jspPage)`
    `void` | `setOpenMultipleInstances(boolean openMultipleInstances)`
    `void` | `setParameterTypes(java.util.List<WorkpageTypeInfoParameterType> parameterTypes)`
    `void` | `setText(java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkpageTypeInfoPage

          public WorkpageTypeInfoPage()

  - ### Method Detail

    - #### getJspPage

          public java.lang.String getJspPage()

    - #### setJspPage

          public void setJspPage(java.lang.String jspPage)

    - #### getImage

          public java.lang.String getImage()

    - #### setImage

          public void setImage(java.lang.String image)

    - #### getText

          public java.lang.String getText()

    - #### setText

          public void setText(java.lang.String text)

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### isDecorated

          public boolean isDecorated()

    - #### setDecorated

          public void setDecorated(boolean decorated)

    - #### isOpenMultipleInstances

          public boolean isOpenMultipleInstances()

    - #### setOpenMultipleInstances

          public void setOpenMultipleInstances(boolean openMultipleInstances)

    - #### getParameterTypes

          public java.util.List<WorkpageTypeInfoParameterType> getParameterTypes()

    - #### setParameterTypes

          public void setParameterTypes(java.util.List<WorkpageTypeInfoParameterType> parameterTypes)

Copyright © CaptainCasa Gmbh. All Rights Reserved.